API Reference
Log In
API Reference

Create User

Creates a user

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create a User

  • A user must be created with either a role or permissions. In other words, either the role_id or the perms parameters must be provided. For further details of the perms parameter, see the Perms section below.

  • time_zone is a required field and follows the IANA time zone identifier format. For example, America/Los_Angeles, Europe/London, Asia/Tokyo, etc.

  • If funnel_ids are provided, user will be given access to the openings associated with these funnel_ids

  • If location_ids are provided, user will be given access to locations associated with these location_ids

  • send_invitation (optional, boolean): when true, an invitation is sent to the user after creation. Invitations are only sent when the account does not have unified auth enabled. Default is false.

ℹ️

Perms

Instead of assigning a role to a user, the user can also be granted access to permissions directly using the perms parameter.

An example of the perms parameter looks like { "manage_applicants": "1", "manage_users": "1", "manage_sourcing": "1" }. Namely, it is a JSON object where the keys are the permissions we want to grant, and the value is a "1".

Here is a comprehensive list of all the permission keys:

  • add_notes
  • analytics
  • api
  • applicants
  • billing
  • bulk_edit_funnels
  • communications
  • create_applicants
  • create_funnels
  • custom_fields
  • custom_reports
  • delete_applicants
  • delete_shifts
  • edit_pipeline_ratio
  • edit_shifts
  • embedded_signature_templates
  • exports
  • funnels
  • integrations
  • manage_all_slots
  • manage_applicants
  • manage_approval_of_created_openings
  • manage_approvers
  • manage_calendar_export
  • manage_funnels
  • manage_hiring_goals
  • manage_own_sessions
  • manage_own_slots
  • manage_sourcing
  • manage_users
  • manage_workers
  • manage_workflows
  • message_templates
  • message_templates_management
  • partner_integrations
  • post_to_job_boards
  • posthire_checks
  • reasons
  • reports
  • resubmit_partner_data
  • scheduling
  • scorecards
  • secure_data
  • secure_files
  • secure_i9
  • secure_signed_documents
  • secure_w4
  • send_messages_from_user
  • shifts
  • text_to_apply
  • view_applicants
  • view_funnels
  • view_message_templates
  • view_shifts
  • view_workers
  • view_workflows
  • workers
  • workflows
Body Params

Users

string
required
string
required
string
enum
required
string
perms
object
funnel_ids
array of strings
funnel_ids
location_ids
array of strings
location_ids
boolean
Defaults to true
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json